Substy Developers
Automations

Create fan segment

Create a creator-specific audience segment with a segment type and supported value or duration conditions.

POST/v1/agencies/{agencyId}/creators/{creatorId}/segments

Create a creator-specific audience segment with a segment type and supported value or duration conditions.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/creators/string/segments" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "PRICE_RANGE"  }'
{  "data": {    "usersCount": 0,    "isPinnedToChat": true,    "id": "string",    "name": "string",    "type": "string"  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}